FcWeightToOpenTypeDouble(3)

NAME
FcWeightToOpenTypeDouble - Convert from fontconfig weight values to OpenType ones

SYNOPSIS
#include <fontconfig/fontconfig.h>

double FcWeightToOpenTypeDouble (doubleot_weight);

DESCRIPTION

FcWeightToOpenTypeDouble is the inverse of FcWeightFromOpenType. If the input is less than FC_WEIGHT_THIN or greater than FC_WEIGHT_EXTRABLACK, returns -1. Otherwise returns a number in the range 1 to 1000.

SINCE

version 2.12.92